Page MenuHomePhabricator

Calendar extension has no tests
Closed, ResolvedPublic

Description

The Calendar (aka https://www.mediawiki.org/wiki/Extension:Calendar-Wikivoyage) extension has no tests. Since this is a parser hook extension, it should at least have parser tests.

Event Timeline

Legoktm created this task.Feb 9 2018, 5:06 AM
Jayprakash12345 added a subscriber: Jayprakash12345.

Until parser tests. Will try If I can.

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptFeb 16 2018, 6:57 PM

Thanks for adding me as a subscriber. The extension is working for more then ten years, at least in left-to-right wikis.

Change 411361 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/Calendar@master] Simple Parser tests for Extension:Calendar

https://gerrit.wikimedia.org/r/411361

Change 411361 merged by jenkins-bot:
[mediawiki/extensions/Calendar@master] Simple parser tests for Extension:Calendar

https://gerrit.wikimedia.org/r/411361

Jayprakash12345 removed Jayprakash12345 as the assignee of this task.Mar 5 2018, 5:02 PM

My work has done.

Change 416666 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/Calendar@master] Hook phpunit test for calendar extension

https://gerrit.wikimedia.org/r/416666

Change 416666 abandoned by Jayprakash12345:
Hook phpunit test for calendar extension

Reason:
No useful tests.

https://gerrit.wikimedia.org/r/416666

Legoktm closed this task as Resolved.Aug 3 2018, 5:06 AM
Legoktm assigned this task to Jayprakash12345.